local _
local GVF
if select(4, GetBuildInfo()) == 30200 then
	GVF = _G["GVF"]
else
	_, GVF = ...
end

GVF.filters["Usable Items Filter"] = {}
local filter = GVF.filters["Usable Items Filter"]

filter.usable = false

function filter:AddItem(link) end

function filter:ClearAll()
	self.usable = false
end

function filter:isFilterd(link, i)
	local _, _, _, _, _, isUsable = GVF.GetMerchantItemInfo_old(i)
	return self.usable and not isUsable
end

function filter:ResetFilter()
	self.usable = false
end

local info, itemtypesorted, itemtypesortedL = {}, {}, {}
function filter:GetDropdown(level)
	wipe(info)
	wipe(itemtypesorted)
	info.keepShownOnClick = 1
    if level == 1 then
		info.text = USABLE_ITEMS
		info.checked = self.usable
		info.func = function()
			self.usable = not self.usable
			ToggleDropDownMenu(1, nil, GVF.FilterMenu, GVF.FilterButton, 0, 0)
			ToggleDropDownMenu(1, nil, GVF.FilterMenu, GVF.FilterButton, 0, 0)
			GVF:UpdateMerchant()
		end
		UIDropDownMenu_AddButton(info, level)
	end
end